// OpenSCAD Tutorial Servo- Halter

// Variablen
$la = 42; //Länge des Servo + 1 mm Spielraum
$br = 20; //Breite des Servo
$ho = 35; //Höhe des Servo
$bf = 8; //Länge des Flansch
$bfh = 11; // Höhe des Flansch
$lo = 10; //Lochabstand
$gd = 3; // Dicke der Grundplatte, nicht unter 2 mm
$dm = 3; //Durchmesser der Befestigungsschrauben


// Grundplatte
difference() {

translate([2,2,0])minkowski()
{    
cube([($la +$bf + $bf + 2)-4,$ho-4,$gd-0.1]);
 cylinder(h = 0.1, d = 4, $fn = 300);   
}
translate([$dm + 1,$dm + 1,-1])cylinder(h=$gd + 2, d=$dm + 0.2, $fn = 300);
translate([$dm + 1,$ho - ($dm + 1),-1])cylinder(h=$gd + 2, d=$dm + 0.2, $fn = 300);
translate([$la +$bf + $bf + 2 - ($dm + 1),$dm + 1,-1])cylinder(h=$gd + 2, d=$dm + 0.2, $fn = 300);
translate([$la +$bf + $bf + 2 - ($dm + 1),$ho - ($dm + 1),-1])cylinder(h=$gd + 2, d=$dm + 0.2, $fn = 300);
}

//Seitenhalterung 1
translate([0,$bfh,$gd])difference(){
cube([$bf + 1,10,$br]);
translate([($bf + 1) / 2 + 1, -1,(($br - $lo) / 2)])rotate([-90,0,0])cylinder(h = 10, d = 1.5,$fn = 300);
translate([($bf + 1) / 2 + 1, -1,(($br - $lo) / 2) + $lo])rotate([-90,0,0])cylinder(h = 10, d = 1.5,$fn = 300);
}

//Seitenhalterung 2
translate([$la +$bf + $bf + 2 - ($bf + 1),$bfh,$gd])difference(){
cube([$bf + 1,10,$br]);
translate([($bf + 1) / 2 - 1, -1,(($br - $lo) / 2)])rotate([-90,0,0])cylinder(h = 10, d = 1.5,$fn = 300);
translate([($bf + 1) / 2 - 1, -1,(($br - $lo) / 2) + $lo])rotate([-90,0,0])cylinder(h = 10, d = 1.5,$fn = 300);
}

